Subject: 23.0.92; vc-delete-file is not autoloaded
From: Bob Rogers <[email-masked]>
To: [email-masked]
Date: Mon, 4 May 2009 15:53:24 -0400

If I do "emacs -Q vc-controlled-file", I then find that I can't do
"M-x vc-delete-file" immediately, because this command is undefined.
It's in vc.el, and the mode line shows that Emacs knows the file is
under version control, so I assume that vc.el must not be loaded as a
side-effect of finding a version-controlled file.  So shouldn't
vc-delete-file be autoloaded in that case?  (And possibly other commands
in vc.el?)

   Note that this *is* a regression wrt 22.3.

					-- Bob Rogers
					   http://www.rgrjr.com/

------------------------------------------------------------------------
In GNU Emacs 23.0.92.1 (i686-pc-linux-gnu, GTK+ Version 2.12.9)
 of 2009-04-24 on rgr
Windowing system distributor `The X.Org Foundation', version 11.0.10400090
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Text

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-x C-f f o o <tab> <return> M-x v c - d e l e <tab> 
C-g M-x r e p o r <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Loading vc-svn...done
Quit